Index: rtp.c
===================================================================
RCS file: /usr/cvsroot/asterisk/rtp.c,v
retrieving revision 1.100
diff -u -3 -r1.100 rtp.c
--- rtp.c	9 Dec 2004 14:54:13 -0000	1.100
+++ rtp.c	13 Dec 2004 10:00:28 -0000
@@ -424,6 +424,7 @@
 	struct sockaddr_in sin;
 	int len;
 	unsigned int seqno;
+	int version;
 	int payloadtype;
 	int hdrlen = 12;
 	int mark;
@@ -474,6 +475,12 @@
 
 	/* Get fields */
 	seqno = ntohl(rtpheader[0]);
+
+	/* Check RTP version */
+	version = (seqno & 0xC0000000) >> 30;
+	if (version != 2)
+		return &null_frame;
+	
 	payloadtype = (seqno & 0x7f0000) >> 16;
 	mark = seqno & (1 << 23);
 	ext = seqno & (1 << 28);
